﻿@model List<CustomerAgingReportLineView>

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@CustomerAgingResource.RV</h3>
    </div>
    <br />
    <div class="panel-body">
        <div class="panel-group" id="accordion3">
            @foreach (var cardCode in Model.GroupBy(c => c.CustNum))
            {
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <h4 class="panel-title">
                            <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordion3" href="#collapse-@cardCode.Key">
                                @cardCode.Key - @Model.Where(c => c.CustNum == cardCode.Key).FirstOrDefault().CustName
                            </a><i class="indicator glyphicon  pull-right glyphicon-chevron-down"></i>
                        </h4>
                    </div>
                    <div id="collapse-@cardCode.Key" class="panel-collapse collapse" style="height: auto;">
                        <div class="panel-body">
                            <div class="table-responsive">
                                <table class="table table-striped">
                                    @if (Model.Where(c => c.CustNum == cardCode.Key).ToList().Count > 0)
                                    {
                                        <thead>
                                            <tr>
                                                <th>@BusinessPartners.CC</th>
                                                <th>@BusinessPartners.CN</th>
                                                <th>@CustomerAgingResource.TT</th>
                                                <th>@CustomerAgingResource.SDT</th>
                                                <th>@CustomerAgingResource.DN</th>
                                                <th>@CustomerAgingResource.PD</th>
                                                <th>@CustomerAgingResource.DD</th>
                                                <th>@CustomerAgingResource.FNF</th>
                                                <th>@CustomerAgingResource.FNT</th>
                                                <th>@CustomerAgingResource.BD</th>
                                                <th>0 - 30</th>
                                                <th>31 - 60</th>
                                                <th>61 - 90</th>
                                                <th>91 - 120</th>
                                                <th>121+</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach (CustomerAgingReportLineView item in Model.Where(c => c.CustNum == cardCode.Key).ToList())
                                            {
                                                double? balance = Convert.ToDouble(item.DebitAmt - item.CreditAmt);
                                                <tr>
                                                    <td>@item.CustNum</td>
                                                    <td>@item.CustName</td>
                                                    <td>@item.TransType</td>
                                                    @switch (item.DocSubType)
                                                    {
                                                        case "DN":
                                                            <td>A/R Debit Memo</td>
                                                            break;
                                                        case "IE":
                                                            <td>A/R Invoice Exempt</td>
                                                            break;
                                                        case "IB":
                                                            <td>A/R Bill</td>
                                                            break;
                                                        case "EB":
                                                            <td>A/R Exempt Bill</td>
                                                            break;
                                                        case "IX":
                                                            <td>A/R Export Invoice</td>
                                                            break;
                                                        case "IR":
                                                            <td>A/R Invoice & Receipt</td>
                                                            break;
                                                        case "RI":
                                                            <td>A/R Reserve Invoice</td>
                                                            break;
                                                        default:
                                                            <td></td>
                                                            break;
                                                    }
                                                    <td>@item.Reference</td>
                                                    <td>@((item.PostingDate != null) ? item.PostingDate.ToShortDateString() : "")</td>
                                                    <td>@((item.DueDate != null) ? item.DueDate.ToShortDateString() : "")</td>
                                                    <td>@item.FolNumFrom</td>
                                                    <td>@item.FolNumTo</td>
                                                    <td>@(balance != null ?  (balance.Value).ToString("F2", CultureInfo.InvariantCulture) : "0.00")</td>
                                                    <td>@(item.from0to30Days != null ? (Convert.ToDouble(item.from0to30Days)).ToString("F2", CultureInfo.InvariantCulture) : "0.00" )</td>
                                                    <td>@(item.from31to60Days != null ? (Convert.ToDouble(item.from31to60Days)).ToString("F2", CultureInfo.InvariantCulture) : "0.00")</td>
                                                    <td>@(item.from61to90days != null ? (Convert.ToDouble(item.from61to90days)).ToString("F2", CultureInfo.InvariantCulture) : "0.00")</td>
                                                    <td>@(item.from90to120Days != null ? (Convert.ToDouble(item.from90to120Days)).ToString("F2", CultureInfo.InvariantCulture) : "0.00")</td>
                                                    <td>@(item.from120PlusDays != null ? (Convert.ToDouble(item.from120PlusDays)).ToString("F2", CultureInfo.InvariantCulture): "0.00")</td>
                                                </tr>
                                            }
                                            @{
                                            List<CustomerAgingReportLineView> listAux = Model.Where(c => c.CustNum == cardCode.Key).ToList();
                                            double balanceSum = Convert.ToDouble(listAux.Sum(c => c.DebitAmt) - listAux.Sum(c => c.CreditAmt));
                                            double sumfrom0to30 = Convert.ToDouble(listAux.Sum(c => c.from0to30Days));
                                            double sumfrom31to60 = Convert.ToDouble(listAux.Sum(c => c.from31to60Days));
                                            double sumfrom61to90 = Convert.ToDouble(listAux.Sum(c => c.from61to90days));
                                            double sumfrom90to120 = Convert.ToDouble(listAux.Sum(c => c.from90to120Days));
                                            double sumplus120 = Convert.ToDouble(listAux.Sum(c => c.from120PlusDays));
                                            <tr>
                                                <td>&nbsp;</td>
                                                <td>&nbsp;</td>
                                                <td>&nbsp;</td>
                                                <td>&nbsp;</td>
                                                <td>&nbsp;</td>
                                                <td>&nbsp;</td>
                                                <td>&nbsp;</td>
                                                <td>&nbsp;</td>
                                                <td>&nbsp;</td>
                                                <td><strong>@(balanceSum != null ? balanceSum.ToString("F2", CultureInfo.InvariantCulture) : "0.00")</strong></td>
                                                <td><strong>@(sumfrom0to30 != null ? sumfrom0to30.ToString("F2", CultureInfo.InvariantCulture) : "0.00")</strong></td>
                                                <td><strong>@(sumfrom31to60 != null ? sumfrom31to60.ToString("F2", CultureInfo.InvariantCulture) : "0.00")</strong></td>
                                                <td><strong>@(sumfrom61to90 != null ? sumfrom61to90.ToString("F2", CultureInfo.InvariantCulture) : "0.00")</strong></td>
                                                <td><strong>@(sumfrom90to120 != null ? sumfrom90to120.ToString("F2", CultureInfo.InvariantCulture) : "0.00")</strong></td>
                                                <td><strong>@(sumplus120 != null ? sumplus120.ToString("F2", CultureInfo.InvariantCulture) : "0.00")</strong></td>
                                            </tr>
                                            }

                                        </tbody>
                                    }
                                    else
                                    {
                                        <thead>
                                            <tr>
                                                <th>@BusinessPartners.CC</th>
                                                <th>@BusinessPartners.CN</th>
                                                <th>@CustomerAgingResource.TT</th>
                                                <th>@CustomerAgingResource.SDT</th>
                                                <th>@CustomerAgingResource.DN</th>
                                                <th>@CustomerAgingResource.PD</th>
                                                <th>@CustomerAgingResource.DD</th>
                                                <th>@CustomerAgingResource.BD</th>
                                                <th>0 - 30</th>
                                                <th>31 - 60</th>
                                                <th>61 - 90</th>
                                                <th>91 - 120</th>
                                                <th>121+</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td colspan="13">@PurchaseOrders.NDTD</td>
                                            </tr>
                                        </tbody>
                                    }
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            }
            <script type='text/javascript'>
                function toggleChevron(e) {
                    $(e.target)
                    .prev('.panel-heading')
                    .find("i.indicator")
                    .toggleClass('glyphicon-chevron-down glyphicon-chevron-up');
                }

                function toggleChevronDown(e) {
                    $(e.target)
                    .prev('.panel-heading')
                    .find("i.indicator")
                    .toggleClass('glyphicon-chevron-up glyphicon-chevron-down');
                }

                $('#accordion3').on('show.bs.collapse', toggleChevronDown);
                $('#accordion3').on('hide.bs.collapse', toggleChevron);
            </script>
        </div>
    </div>

</div>
